io.vertx.rxjava.ext.auth.oauth2.providers

## Class AzureADAuth

- java.lang.Object
- - io.vertx.rxjava.ext.auth.oauth2.providers.AzureADAuth

-     public class AzureADAuth
      extends Object

  Simplified factory to create an for Azure AD.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<AzureADAuth>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AzureADAuth(AzureADAuth delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret, String guid)` Create a OAuth2Auth provider for Microsoft Azure Active Directory
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret, String guid, HttpClientOptions httpClientOptions)` Create a OAuth2Auth provider for Microsoft Azure Active Directory
    `AzureADAuth` | `getDelegate()`
    `static AzureADAuth` | `newInstance(AzureADAuth arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<AzureADAuth> __TYPE_ARG

  - ### Constructor Detail

    - #### AzureADAuth

          public AzureADAuth(AzureADAuth delegate)

  - ### Method Detail

    - #### getDelegate

          public AzureADAuth getDelegate()

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret,
                                          String guid)

      Create a OAuth2Auth provider for Microsoft Azure Active Directory
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by Azure
        `clientSecret` - the client secret given to you by Azure
        `guid` - the guid of your application given to you by Azure
      Returns:

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret,
                                          String guid,
                                          HttpClientOptions httpClientOptions)

      Create a OAuth2Auth provider for Microsoft Azure Active Directory
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by Azure
        `clientSecret` - the client secret given to you by Azure
        `guid` - the guid of your application given to you by Azure
        `httpClientOptions` - custom http client options
      Returns:

    - #### newInstance

          public static AzureADAuth newInstance(AzureADAuth arg)

Copyright © 2017. All rights reserved.